#if !defined(AFX_MOTION_TEST_H__B0B19127_9A99_44D6_82DC_331648760865__INCLUDED_)
#define AFX_MOTION_TEST_H__B0B19127_9A99_44D6_82DC_331648760865__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Motion_test.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Motion_test dialog

class Motion_test : public CDialog
{
// Construction
public:
	Motion_test(CWnd* pParent = NULL);   // standard constructor
    void Motion_test::Show_Msg(int AA);
	void Motion_test::Show_Msg(CString AA);
// Dialog Data
	//{{AFX_DATA(Motion_test)
	enum { IDD = IDD_Motion_test };
	CButton	m_CAuto;
	long	m_XAcc;
	long	m_XE;
	long	m_XP;
	long	m_XSpeed;
	long	m_YAcc;
	long	m_YE;
	long	m_YP;
	long	m_YSpeed;
	CString	m_Msg;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(Motion_test)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(Motion_test)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnAuto();
	afx_msg void OnManualGet();
	afx_msg void OnServoOnAll();
	afx_msg void OnServoOffAll();
	afx_msg void OnHomeSetx();
	afx_msg void OnHomeSety();
	afx_msg void OnAxis11();
	afx_msg void OnAxis12();
	afx_msg void OnAxis1_0();
	afx_msg void OnAxis1_4();
	afx_msg void OnStopA();
	afx_msg void OnStop();
	afx_msg void OnClearError();
	afx_msg void OnAxis2_0();
	afx_msg void OnAxis2_1();
	afx_msg void OnAxis2_2();
	afx_msg void OnAxis2_3();
	afx_msg void OnAxis2_5();
	afx_msg void OnAxis2_6();
	afx_msg void OnRectan();
	afx_msg void OnGear();
	afx_msg void OnCMove();
	virtual BOOL OnInitDialog();
	afx_msg void OnGetError();
	afx_msg void OnHomeSetxh();
	afx_msg void OnHomeSetyh();
	afx_msg void OnHomeSetxz();
	afx_msg void OnHomeSetyz();
	afx_msg void OnHOMEAutoX();
	afx_msg void OnHOMEAutoY();
	afx_msg void OnCMove2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MOTION_TEST_H__B0B19127_9A99_44D6_82DC_331648760865__INCLUDED_)
